org.apache.lucene.util.packed

## Class MonotonicBlockPackedReader

- java.lang.Object
- - org.apache.lucene.util.packed.MonotonicBlockPackedReader

    public final class MonotonicBlockPackedReader
    extends Object

Provides random access to a stream written with `MonotonicBlockPackedWriter`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`MonotonicBlockPackedReader(IndexInput in, int packedIntsVersion, int blockSize, long valueCount, boolean direct)` Sole constructor.

### Method Summary

Methods
`long` `get(long index)` Get value at `index`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MonotonicBlockPackedReader

    public MonotonicBlockPackedReader(IndexInput in,
                              int packedIntsVersion,
                              int blockSize,
                              long valueCount,
                              boolean direct)
                               throws IOException

Sole constructor.

Throws:
  `IOException`

### Method Detail

#### get

    public long get(long index)

Get value at `index`.